:root{
    --main:rgb(226, 226, 226,0.7);
    --blu: rgb(10, 33, 161);
    --light:rgb(120, 136, 224,0.6);
    
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    background: #222;
    background-image: url('https://source.unsplash.com/1600x900/?landscape');
    background-size: cover;
}

.card {
    background:var(--main) ;
    padding: 2em;
    border-radius: 30px;
    border: 3px solid var(--blu);
    width: 100%;
    max-width: 420px;
    margin: 1em;
    font-family: 'Nanum Gothic', sans-serif;
    color: var(--blu);
}


.search{
    color: var(--blu);
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 40;
    height: 2em;
}

input.search-bar{
    border:none;
    outline: none;
    padding: 0.5em 1em;
    border-radius: 25px;
    background: var(--light);
    color: beige;
    font-family:'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    font-size: 110%;
}


button {
    background-color: var(--main);
    margin: 5px;
    border-radius: 40%;
    border: none;
    height: 2.3em;
    width: 2.3em;
    color:var(--blu);
    padding: 1px 5px;
}

button:hover {
    background-color:var(--light);
    transition: 0,2s;
}

h1.temp {
    margin: 0;
    margin-bottom: 0.5em;
}

.flex {
    display: flex;
    align-items: center;
}

.description {
    text-transform: capitalize;
}

.weather.loading {
    visibility: hidden;
    max-height: 20px;
    position: relative;
}

.weather.loading:after{
    visibility: visible;
    font-weight: 900;
    content:"Loading...";
    color:var(--blu);
    position: absolute;
    top: 0;
    left: 20px;
}